PTHREAD_CLEANUP_POP(3)

NAME
pthread_cleanup_pop - call the first cleanup routine

LIBRARY
libpthread

SYNOPSIS
#include <pthread.h>
void
pthread_cleanup_pop(int execute);

DESCRIPTION
The pthread_cleanup_pop() function pops the top cleanup routine off of the current threads cleanup routine stack, and, if execute is non-zero, it will execute the function. If there is no cleanup routine then pthread_cleanup_pop() does nothing.

RETURN VALUES
The pthread_cleanup_pop() function does not return any value.

ERRORS
None

SEE ALSO
pthread_cleanup_push(3), pthread_exit(3)

STANDARDS
The pthread_cleanup_pop() function conforms to p1003.1-96.